Skip to main content

List all product categories

GET https://pos.paysera.com/eapi/v1/product-categories

Retrieve a paginated list of product categories.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Query Parameters​

NameTypeRequiredDescription
pageSizeintegerNumber of items per page (min: 1, max: 100)
pageintegerThe current page number (min: 1)

Errors​

This endpoint may return the following errors:

400 - Bad Request​

Invalid request parameters

This error is resulted by incorrectly providing one of the parameters.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

422 - Unprocessable Entity​

The request was well-formed but was unable to be followed due to semantic errors.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/product-categories?pageSize=10&page=1
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"itemsTotal": 1,
"pagesTotal": 1,
"data": [
{
"id": 1,
"name": {
"en": "Electronics",
"lt": "Elektronika"
},
"parentId": null
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Product categories retrieved successfully
{
"itemsTotal": 1,
"pagesTotal": 1,
"data": [
{
"id": 1,
"name": {
"en": "Electronics",
"lt": "Elektronika"
},
"parentId": null
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}